<script>
import FullUserFormTemplate from '@/components/forms/FullUserFormTemplate.vue'
import UserApiV1 from '@/api/userApi'

export default {
  name: 'Setting',
  components: {
    FullUserFormTemplate,

    // SettingsMSNCreateConfiguration, // TODO: this module is necessary?
    // SettingsMSNSubscribe // TODO: this module is necessary?
  },
  data() {
    return {
      userData: { id: 0 },
    }
  },
  watch: {
    responseUserData() {
      console.log('watch userData: ', this.userData)

      return this.userData
    },
  },
  mounted() {
    this.getUser()
  },
  methods: {
    async getUser() {
      const users = new UserApiV1()

      try {
        const responseUserData = await users.getUserById()

        this.userData = responseUserData.data.data
        console.log('getUser this.userData: ', this.userData)
      }
      catch (error) {
        console.log('error getUserById', error)
      }
    },
  },
}
</script>

<template>
  <div class="container">
    <FullUserFormTemplate :user-data="userData" />
  </div>
</template>

<style scoped>

</style>
